summaryrefslogtreecommitdiffstats
path: root/server_wizard/scripts/check_config.sh
diff options
context:
space:
mode:
Diffstat (limited to 'server_wizard/scripts/check_config.sh')
-rwxr-xr-xserver_wizard/scripts/check_config.sh50
1 files changed, 50 insertions, 0 deletions
diff --git a/server_wizard/scripts/check_config.sh b/server_wizard/scripts/check_config.sh
new file mode 100755
index 00000000..512fd7da
--- /dev/null
+++ b/server_wizard/scripts/check_config.sh
@@ -0,0 +1,50 @@
+#!/bin/bash
+#
+# Wizard
+#
+# Copyright (C) 2000 Mandrakesoft.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# See file LICENSE for further informations on licensing terms.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+# Authors: Jerome Dumonteil, Maurizio De Cecco, Enzo Maggi
+# icons: Helene Durosini <ln@mandrakesoft.com>
+# <corporate@mandrakesoft.com> http://www.mandrakesoft.com
+
+# script for wizard basic network configuration
+#
+# checking if the provided domain value is correct :
+# strip the @, need at least a dot
+
+echo_debug "$(/bin/date) begin $0"
+
+fic=/etc/sysconfig/mdk_serv
+if [ ! -f "$fic" ] ;then
+ . /etc/sysconfig/network
+ echo_debug "${HOSTNAME}"
+ echo_debug "${DOMAINNAME}"
+ echo -e "\
+# mdk server basic info $(date)\n\
+mdk_serv_version=1.0\n\
+wiz_device=eth0\n\
+wiz_host_name=${HOSTNAME}\n\
+wiz_domain_name=${DOMAINNAME}\n\
+" > ${fic}
+
+fi
+ echo_debug "${wiz_device}"
+ echo_debug "${wiz_host_name}"
+ echo_debug "${wiz_domain_name}"
+exit 1